com.genesyslab.wfm8.API.service.config800

## Class CfgNotifyParam

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgNotifyParam

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgNotifyParam
      extends java.lang.Object
      implements java.io.Serializable

  CfgNotifyParam stores the notification configuration for different subsystems. Notification configuration can be site-based or "site-less." In the second case, it is treated as the common configuration for all sites, and can be overwritten by a site-specific configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Timestamp value
    `protected java.lang.String` | `wmMessage` E-mail message text
    `protected int` | `wmNotifyParamId` Notify Param ID
    `protected int` | `wmSiteId` Site ID (can be zero, indicating "general" subsystem param)
    `protected java.lang.String` | `wmSubject` E-mail subject text
    `protected int` | `wmSubsystemGroupId` Subsystem Group ID (30 - Calendar, 40 - Schedule, 90 - Trading, ...)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgNotifyParam()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.lang.String` | `getWmMessage()` Gets the value of the wmMessage property.
    `int` | `getWmNotifyParamId()` Gets the value of the wmNotifyParamId property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `java.lang.String` | `getWmSubject()` Gets the value of the wmSubject property.
    `int` | `getWmSubsystemGroupId()` Gets the value of the wmSubsystemGroupId property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmMessage(java.lang.String value)` Sets the value of the wmMessage property.
    `void` | `setWmNotifyParamId(int value)` Sets the value of the wmNotifyParamId property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmSubject(java.lang.String value)` Sets the value of the wmSubject property.
    `void` | `setWmSubsystemGroupId(int value)` Sets the value of the wmSubsystemGroupId property.
    `java.lang.String` | `toString()`
    `CfgNotifyParam` | `withTimestamp(long value)`
    `CfgNotifyParam` | `withWmMessage(java.lang.String value)`
    `CfgNotifyParam` | `withWmNotifyParamId(int value)`
    `CfgNotifyParam` | `withWmSiteId(int value)`
    `CfgNotifyParam` | `withWmSubject(java.lang.String value)`
    `CfgNotifyParam` | `withWmSubsystemGroupId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmNotifyParamId

          protected int wmNotifyParamId

      Notify Param ID

    - #### wmSiteId

          protected int wmSiteId

      Site ID (can be zero, indicating "general" subsystem param)

    - #### wmSubsystemGroupId

          protected int wmSubsystemGroupId

      Subsystem Group ID (30 - Calendar, 40 - Schedule, 90 - Trading, ...)

    - #### wmSubject

          protected java.lang.String wmSubject

      E-mail subject text

    - #### wmMessage

          protected java.lang.String wmMessage

      E-mail message text

    - #### timestamp

          protected long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgNotifyParam

          public CfgNotifyParam()

  - ### Method Detail

    - #### getWmNotifyParamId

          public int getWmNotifyParamId()

      Gets the value of the wmNotifyParamId property.

    - #### setWmNotifyParamId

          public void setWmNotifyParamId(int value)

      Sets the value of the wmNotifyParamId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmSubsystemGroupId

          public int getWmSubsystemGroupId()

      Gets the value of the wmSubsystemGroupId property.

    - #### setWmSubsystemGroupId

          public void setWmSubsystemGroupId(int value)

      Sets the value of the wmSubsystemGroupId property.

    - #### getWmSubject

          public java.lang.String getWmSubject()

      Gets the value of the wmSubject property.
      Returns:
        possible object is `String`

    - #### setWmSubject

          public void setWmSubject(java.lang.String value)

      Sets the value of the wmSubject property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmMessage

          public java.lang.String getWmMessage()

      Gets the value of the wmMessage property.
      Returns:
        possible object is `String`

    - #### setWmMessage

          public void setWmMessage(java.lang.String value)

      Sets the value of the wmMessage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmNotifyParamId

          public CfgNotifyParam withWmNotifyParamId(int value)

    - #### withWmSiteId

          public CfgNotifyParam withWmSiteId(int value)

    - #### withWmSubsystemGroupId

          public CfgNotifyParam withWmSubsystemGroupId(int value)

    - #### withWmSubject

          public CfgNotifyParam withWmSubject(java.lang.String value)

    - #### withWmMessage

          public CfgNotifyParam withWmMessage(java.lang.String value)

    - #### withTimestamp

          public CfgNotifyParam withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.